#version 430 compatibility

#include "/settings.glsl"
#include "/distort.glsl"

//the 3d texture we are writing voxel data to
layout (r32ui) uniform uimage3D cimage1;

//data from minecraft / iris
//uniform sampler2D gtexture;
in vec4 at_midBlock;
uniform vec3 cameraPosition;
uniform mat4 gbufferModelViewInverse;
attribute vec4 mc_Entity;
uniform float frameTimeCounter;
uniform mat4 shadowModelViewInverse;
uniform int renderStage;

//data we send to fragment shader



//if POTATO_SHADOWS != 1
	uniform sampler2D lightmap;
	uniform sampler2D texture;

	out vec2 lmcoord;
	out vec2 texcoord;
	out vec4 glcolor;
//endif




void main() {
	texcoord = (gl_TextureMatrix[0] * gl_MultiTexCoord0).xy;
	lmcoord  = (gl_TextureMatrix[1] * gl_MultiTexCoord1).xy;
	glcolor = gl_Color;

	//for voxelizing
	#define WHERE_TO_VOXELIZE 2 //[1 2]
	#if WHERE_TO_VOXELIZE == 2
		#include "/voxelizing.glsl"
	#endif

	gl_Position = ftransform();
	gl_Position.xyz = distort(gl_Position.xyz);
	
	

	#if GRASS_SHADOWS == 0
		gl_Position = (mc_Entity.x == 10000.0) ? vec4(10.0) : gl_Position;
	#endif
	
}